The Canva Apps SDK, Connect APIs, and MCP are now unified in the Canva Developers SDK. Learn more(opens in a new tab or window).
Canva Developers SDK
The Canva Apps SDK, Connect APIs, and MCP are now unified in the Canva Developers SDK. Learn more(opens in a new tab or window).

Get image-to-design import job

This API is currently provided as a preview. Be aware of the following:

  • There might be unannounced breaking changes.
  • Any breaking changes to preview APIs won't produce a new API version.
  • Public integrations that use preview APIs will not pass the review process, and can't be made available to all Canva users.

Gets the result of an image-to-design import job created using the Create image-to-design import job API.

You might need to make multiple requests to this endpoint until you get a success or failed status. For more information on the workflow for using asynchronous jobs, see API requests and responses.

HTTP method and URL path

GET https://api.canva.com/rest/v1/image-to-design-imports/{jobId}

This operation is rate limited to 120 requests per minute for each user of your app.

Authentication and authorization

This endpoint requires a valid access token that acts on behalf of a user.

Scopes

The access token must have all the following scopes (permissions):

  • design:content:write

Capabilities

The user must have at least one of the following capabilities:

  • image_to_design_imports

Header parameters

Authorizationstring
Required

Provides credentials to authenticate the request, in the form of a Bearer token.

For example: Authorization: Bearer {token}

Path parameters

jobIdstring
Required

The ID of the image-to-design import job.

Example request

Examples for using the /v1/image-to-design-imports/{jobId} endpoint:

curl --request GET 'https://api.canva.com/rest/v1/image-to-design-imports/{jobId}' \
--header 'Authorization: Bearer {token}'
SH
const fetch = require("node-fetch");
fetch("https://api.canva.com/rest/v1/image-to-design-imports/{jobId}", {
method: "GET",
headers: {
"Authorization": "Bearer {token}",
},
})
.then(async (response) => {
const data = await response.json();
console.log(data);
})
.catch(err => console.error(err));
JS
import java.io.IOException;
import java.net.URI;
import java.net.http.*;
public class ApiExample {
public static void main(String[] args) throws IOException, InterruptedException {
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.canva.com/rest/v1/image-to-design-imports/{jobId}"))
.header("Authorization", "Bearer {token}")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(
request,
HttpResponse.BodyHandlers.ofString()
);
System.out.println(response.body());
}
}
JAVA
import requests
headers = {
"Authorization": "Bearer {token}"
}
response = requests.get("https://api.canva.com/rest/v1/image-to-design-imports/{jobId}",
headers=headers
)
print(response.json())
PY
using System.Net.Http;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://api.canva.com/rest/v1/image-to-design-imports/{jobId}"),
Headers =
{
{ "Authorization", "Bearer {token}" },
},
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
};
CSHARP
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.canva.com/rest/v1/image-to-design-imports/{jobId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer {token}")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
GO
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://api.canva.com/rest/v1/image-to-design-imports/{jobId}",
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => array(
'Authorization: Bearer {token}',
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if (empty($err)) {
echo $response;
} else {
echo "Error: " . $err;
}
PHP
require 'net/http'
require 'uri'
url = URI('https://api.canva.com/rest/v1/image-to-design-imports/{jobId}')
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request['Authorization'] = 'Bearer {token}'
response = http.request(request)
puts response.read_body
RUBY

Success response

If successful, the endpoint returns a 200 response with a JSON body with the following parameters:

jobImageToDesignImportJob

The status and result of an image-to-design import job.

idstring

The ID of the image-to-design import job.

statusstring

The status of the design import job.

Available values:

  • failed
  • in_progress
  • success
resultImageToDesignImportJobResult
Optional
designDesignSummary

Basic details about the design, such as the design's ID, title, and URL.

idstring

The design ID.

urlsDesignLinks

A temporary set of URLs for viewing or editing the design.

edit_urlstring

A temporary editing URL for the design. This URL is only accessible to the user that made the API request, and is designed to support return navigation workflows.

This is not a permanent URL, it is only valid for 30 days.

view_urlstring

A temporary viewing URL for the design. This URL is only accessible to the user that made the API request, and is designed to support return navigation workflows.

This is not a permanent URL, it is only valid for 30 days.

created_atinteger

When the design was created in Canva, as a Unix timestamp (in seconds since the Unix Epoch).

updated_atinteger

When the design was last updated in Canva, as a Unix timestamp (in seconds since the Unix Epoch).

titlestring
Optional

The design title.

urlstring
Optional

URL of the design.

thumbnailThumbnail
Optional

A thumbnail image representing the object.

widthinteger

The width of the thumbnail image in pixels.

heightinteger

The height of the thumbnail image in pixels.

urlstring

A URL for retrieving the thumbnail image. This URL expires after 15 minutes. This URL includes a query string that's required for retrieving the thumbnail.

page_countinteger
Optional

The total number of pages in the design. Some design types don't have pages (for example, Canva docs).

errorImageToDesignImportError
Optional

If the import job fails, this object provides details about the error.

codestring

A short string about why the import failed. This field can be used to handle errors programmatically.

Available values:

  • bad_input
  • moderation_error
  • quota_exceeded
  • design_creation_throttled
  • internal_error
messagestring

A human-readable description of what went wrong.

Example responses

In progress image-to-design import job

{
"job": {
"id": "f81b26fd-a33d-4c2d-9e8c-4a7aca798b17",
"status": "in_progress"
}
}
JSON

Successfully completed image-to-design import job

{
"job": {
"id": "f81b26fd-a33d-4c2d-9e8c-4a7aca798b17",
"status": "success",
"result": {
"design": {
"id": "DAFVztcvd9z",
"title": "My Image Design",
"thumbnail": {
"width": 800,
"height": 600,
"url": "https://document-export.canva.com/..."
},
"urls": {
"edit_url": "https://www.canva.com/design/DAFVztcvd9z/edit",
"view_url": "https://www.canva.com/design/DAFVztcvd9z/view"
},
"created_at": 1726198998,
"updated_at": 1726199000
}
}
}
}
JSON

Failed image-to-design import job

{
"job": {
"id": "f81b26fd-a33d-4c2d-9e8c-4a7aca798b17",
"status": "failed",
"error": {
"code": "internal_error",
"message": "An unexpected error occurred while converting the image. Please try again."
}
}
}
JSON

Error responses

400 Bad Request

codestring

A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.

messagestring

A human-readable description of what went wrong.

Example error response

The request field does not match expected format
{
"code": "invalid_request",
"message": "{fieldValue} does not match expected format for {fieldName}"
}
JSON

403 Forbidden

codestring

A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.

messagestring

A human-readable description of what went wrong.

Example error response

Calling user was not the creator of the job
{
"code": "permission_denied",
"message": "Calling user was not the creator of the job"
}
JSON

404 Not Found

codestring

A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.

messagestring

A human-readable description of what went wrong.

Example error response

Job ID not found
{
"code": "not_found",
"message": "Job ID {jobId} not found"
}
JSON

429 Too Many Requests

codestring

A short string indicating what failed. This field can be used to handle errors programmatically. For a complete list of error codes, see Error responses.

messagestring

A human-readable description of what went wrong.

Example error response

Design creation throttling threshold reached
{
"code": "too_many_requests",
"message": "You have reached the design creation throttling threshold."
}
JSON

Try it out

This uses your live Canva data.

This is not a sandbox/playground. This form performs API requests against your account's actual live Canva data. Make sure that you understand what the request is doing, as well as the requirements for each parameter detailed above.

Step 1: Enter your access token

To get started, generate an access token or provide your own below